import { expose } from 'threads';
import { writeFile, generateTypings } from './utils.js';

/**
 * @module generate
 */
expose(async function generate(path, content, options = {}) {
  return writeFile(path, generateTypings(content, options.banner, options.eol));
});
