/**
 * @module utils
 */
/// <reference types="node" />
import fs from 'fs';
export declare const writeFile: typeof fs.writeFile.__promisify__;
export declare type Styles = [key: string, value: string][];
export declare function isString(value: unknown): value is string;
export declare function parse(content: string): [styles: Styles, named: boolean];
export declare function generateTypings(content: string, banner?: string, eol?: string): string;
